@function getFontSize($size: medium) {
  @if ($size == none) {
    @return 0;
  } @elseif ($size == xx-small) {
    @return 6pt;
  } @elseif ($size == x-small) {
    @return 7pt;
  } @elseif ($size == small) {
    @return 8pt;
  } @elseif ($size == medium) {
    @return 9pt;
  } @elseif ($size == large) {
    @return 10pt;
  } @elseif ($size == x-large) {
    @return 12pt;
  } @elseif ($size == xx-large) {
    @return 15pt;
  } @else {
    @return 9pt;
  }
}

@function getLineHeight($size: medium) {
  @if ($size == none) {
    @return 0;
  } @elseif ($size == xx-small) {
    @return 8pt;
  } @elseif ($size == x-small) {
    @return 9pt;
  } @elseif ($size == small) {
    @return 10pt;
  } @elseif ($size == medium) {
    @return 11pt;
  } @elseif ($size == large) {
    @return 12pt;
  } @elseif ($size == x-large) {
    @return 14pt;
  } @elseif ($size == xx-large) {
    @return 17pt;
  } @else {
    @return 13pt;
  }
}

@function getFontWeight($weight: normal) {
  @if ($weight == light) {
    @return 200;
  } @elseif ($weight == normal) {
    @return 400;
  } @elseif ($weight == bold) {
    @return 600;
  } @else {
    @return 400;
  }
}

@mixin font-smoothing() {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

@mixin font($size: medium, $weight: normal, $color: #4b4b4b) {
  font-size: getFontSize($size);
  line-height: getLineHeight($size);
  font-weight: getFontWeight($weight);

  color: $color;
}

// TODO - add color lightening
@mixin font-color($color, $lighten: 0) {
  color: $color;
}